<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <parent>
        <groupId>ru.entaxy.esb.system.registry.systems</groupId>
        <artifactId>systems</artifactId>
        <version>1.8.2.2</version>
        <relativePath>../../systems/pom.xml</relativePath>
    </parent>

    <modelVersion>4.0.0</modelVersion>

    <artifactId>system-api</artifactId>
    <name>SYSTEM :: ENTAXY :: SYSTEM :: API</name>
    <packaging>bundle</packaging>

    <properties>
        <bundle.osgi.export.pkg>
            ru.entaxy.esb.system.jpa,
            ru.entaxy.esb.system.jpa.entity
        </bundle.osgi.export.pkg>
        <bundle.osgi.import.pkg>
            ru.entaxy.esb.system.connector.entity,
            javax.persistence;version="[2,3)",
            org.hibernate.proxy,
            javassist.util.proxy,
            *
        </bundle.osgi.import.pkg>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.eclipse.persistence</groupId>
            <artifactId>javax.persistence</artifactId>
            <version>${jpa.version}</version>
        </dependency>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-envers</artifactId>
            <version>${hibernate.version}</version>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.system.registry.connector</groupId>
            <artifactId>connector-api</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.system.management.bundle.jpa</groupId>
            <artifactId>bundle-service</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.sun.xml.bind</groupId>
            <artifactId>jaxb-core</artifactId>
        </dependency>

    </dependencies>
</project>
